#Intalio::Input
#Copyright (C) 2019 by Драпевски Intalio, Release 1.00

package ShellQuoted;

use Exporter qw( import );
our @EXPORT = qw( EscapeWhiteCharacters );

use strict;


sub EscapeWhiteCharacters {
    if (@_ == 1 ) {
        my $text = shift;

        $text =~ s#(\s)#\\$1#gi; 
        return $text;
    } else {
        my @ResultArray = ();

        for  my $text (@_) {
            $text =~ s#(\s)#\\$1#gi; 
            array_push($text, @ResultArray);
        }

        return @ResultArray;
    }


}